## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate lsd

Name:           rust-lsd
Version:        1.0.0
Release:        %autorelease
Summary:        Ls command with a lot of pretty colors and some other stuff

License:        Apache-2.0
URL:            https://crates.io/crates/lsd
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          lsd-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# https://github.com/lsd-rs/lsd/pull/938
# * relax stricter-than-SemVer version requirements
# * bump chrono-humanize dependency from 0.1 to 0.2
# * bump git2 dependency from 0.16 to 0.18
# * bump lscolors dependency from 0.9 to 0.13
# * bump sys-locale dependency from 0.2 to 0.3
# * bump vsort dependency from 0.1 to 0.2
# * bump assert_cmd dev-dependency from 1 to 2
Patch:          lsd-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An ls command with a lot of pretty colors and some other stuff.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/lsd

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
# * skip tests that need to be run from within a git repository
%cargo_test -- -- --skip git::tests::test_git_workflow
%endif

%changelog
## START: Generated by rpmautospec
* Tue Feb 13 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-3
- Rebuild for CVE-2024-24575 and CVE-2024-24577 in libgit2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0; Fixes RHBZ#2235922

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.1-1
- Update to version 0.23.1; Fixes RHBZ#2124228

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.22.0-3
- Bump lscolors to 0.13.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jul 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-1
- Update to version 0.22.0; Fixes RHBZ#2041170

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.20.1-9
- Rebuild with package notes

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.20.1-8
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.20.1-6
- Bump chrono-humanize from 0.1 to 0.2

* Sun Jan 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.20.1-5
- Normalize weird glob-style dependencies to SemVer compatible format

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.1-4
- Bump assert_cmd to 2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 17 17:29:11 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.1-1
- Update to 0.20.1
- Close: rhbz#1907129
- Fix: rhbz#1923272

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 0.18.0-1
- Update to version 0.18.0.

* Sun Aug 16 15:01:36 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.0-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Apr 16 11:50:02 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.0-1
- Update to 0.17.0

* Sun Feb 02 19:00:30 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.16.0-3
- Bump ansi_term to 0.12.0
- Bump lscolors to 0.6.0
- Bump version_check to 0.9.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 03 14:25:20 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 21:21:46 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.1-4
- Regenerate

* Sun Jun 09 21:55:03 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.1-3
- Switch to tempfile

* Sun Jun 09 19:54:30 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.1-2
- Regenerate

* Thu May 30 17:04:56 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.1-1
- Release 0.15.1 (#1713354)

* Thu Apr 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.0-1
- Initial package

## END: Generated by rpmautospec
